getstyle(1x)

NAME
getstyle - dumps the current Window Maker style related configuration or creates a theme pack.

SYNOPSIS
getstyle [[-t] [style file]] [-p theme name]

DESCRIPTION
getstyle can either dump the current Window Maker style related configuration information to a file/stdout or create a self-contained theme pack. A theme pack is a directory that contains everything that is needed by a redistributable theme, includig the style information and pixmaps used by it. Note that style information stored in the global configuration of the system is not read.

OPTIONS

-t  dumps theme related information too, which is the root background texture. This option is always enabled when the -p option is used.

-p  creates a theme pack in the directory named by the theme name appended with the .themed suffix. Options that are stored in the style file are: IconBack, WorkspaceBack, IconBack, TitleJustify, WindowTitleFont, MenuTitleFont, MenuTextFont, IconTitleFont, DisplayFont, HighlightColor, HighlightTextColor, IconTitleColor, CClipTitleColor, IconBackColor, FTitleColor, PTitleColor, UTitleColor, FTitleBack, PTitleBack, UTitleBack, MenuTitleColor, MenuTextColor, MenuDisabledColor, MenuTitleBack and MenuTextBack.

ENVIRONMENT

GNUSTEP_USER_ROOT
    specifies the initial path for the Defaults directory. "Defaults/" is appended to this variable to determine the actual location of the databases. If the varialbe is not set, it defaults to "~/GNUstep"

FILES

GNUSTEP_USER_ROOT/Defaults/WindowMaker
    This is the actual file that's written.

SEE ALSO
setstyle(1x), wmaker(1x)

AUTHOR
This man page was written by Marcelo Magallon <mmagallo@debian.org>.

Window Maker was written by Alfredo K. Kojima <kojima@windowmaker.org>.